{% extends "core/layout_app.html" %}
{% load bootstrap %}
{% load i18n %}
{% load sekizai_tags %}

{% block content_row %}

{#{% include "parts/_page_header.html" %}#}

    <div class="row">

        <div class="col-md-8">
            <div class="page-section">

                <div class="page-section-header">
                    <h1>
                        {% trans "Create organization" %}
                    </h1>
                </div>

                <div class="page-section-content">
                    <form method="post" class="form form-horizontal">
                        {% csrf_token %}

                        <hr />

                        {{ form|bootstrap_horizontal }}

                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <button type="submit" class="btn btn-primary">
                                    {% trans "Save" %}
                                </button>
                                <a href="{% url "organization_list" %}" class="btn btn-default">
                                    {% trans "Cancel" %}
                                </a>
                            </div>
                        </div>
                    </form>
                </div><!-- page-section-content -->
            </div>
        </div>
        <div class="col-md-3">

        </div>
    </div>

    {% addtoblock "javascript" %}
        <script>
            $(document).ready(function() {
                function formatCountryDropdown(country) {
                    var originalOption = $(country.element);
                    template = "<img class='flag' src='{{ STATIC_URL }}frontend/img/flags/" + originalOption.val().toLowerCase() + ".gif' />&nbsp;" + originalOption.text();
                    return template;
                }
                $('select[name=mailing_country]').select2({formatSelection:formatCountryDropdown, width: '90%'});
            });
        </script>
    {% endaddtoblock %}
{% endblock %}
